%define major 2.0

%define fname gtkglarea
%define libname_orig lib%{fname}
%define libname %mklibname %fname %{major}

Summary:	GtkGLArea is an OpenGL widget for GTK+ GUI toolkit
Name:		gtkglarea2
Version:	1.99.0
Release: 	7mdk
License:	LGPL
Group:		System/Libraries

Source:		%{fname}-%{version}.tar.bz2
Patch0:		gtkglarea-1.99.0-lib64.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
URL:		http://www.student.oulu.fi/~jlof/gtkglarea/
BuildRequires:	autoconf2.5
BuildRequires:	libMesaGLU-devel
BuildRequires:	gtk+2-devel

%description
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is very similar
to GtkDrawinigArea widget and adds only three extra functions.

Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported.

A related project which may interest GTK-- developers is
GtkGLArea--. It is a C++ wrapper for gtkglarea written by Karl Nelson
<kenelson@ece.ucdavis.edu>.

%package -n %{libname}
Summary:        GtkGLArea is an OpenGL widget for GTK+ GUI toolkit
Group:          System/Libraries

%description -n %{libname}
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is very similar
to GtkDrawinigArea widget and adds only three extra functions.

Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported.

A related project which may interest GTK-- developers is
GtkGLArea--. It is a C++ wrapper for gtkglarea written by Karl Nelson
<kenelson@ece.ucdavis.edu>.

%package -n %{libname}-devel
Summary: GtkGLArea is an OpenGL widget for GTK+ -- includes and static libs
Group: Development/GNOME and GTK+
Requires: %{libname} >= %{version}
Provides: %{libname_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release} 

%description -n %{libname}-devel
Libraries and includes files you can use for GtkGLArea development

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %fname-%version
%patch0 -p1 -b .lib64
autoconf

%build
%configure2_5x --with-GL-prefix=/usr/X11R6
# (gc) this sucking rpath thing...
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
#ln -sf libgtkgl.so.5.0.0 $RPM_BUILD_ROOT%{_libdir}/libgtkgl.so.4

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/lib*.so.*
%_libdir/pkgconfig/gtkgl-2.0.pc

%files -n %{libname}-devel
%defattr(-, root, root)
%doc docs/*.txt
%{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/*
#%{_datadir}/aclocal/*

%changelog
* Fri Oct 24 2003 Stefan van der Eijk <stefan@eijk.nu> 1.99.0-7mdk
- BuildRequires

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.99.0-6mdk
- lib64 fixes

* Tue Jul 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.0-5mdk
- autoconf2.5 macro
- don't provide and obsolete gtkglarea, else there's a problem with gtk1.2 ver.

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.0-4mdk
- fix description (thanks to Olivier Blin)

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.0-3mdk
- mklibname macro
- fix buildrequires

* Wed Dec 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.99.0-2mdk
- 1.99.0
- fix changelog(!)

* Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-4mdk
- BuildRequires

* Tue Jul 23 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.3-3mdk
- Rebuild with latest gcc3.1
- Sanitize specfile (silentify %%setup)
- BuildRequires: Mesa-devel. Where is Mesa-common-devel gone?

* Thu Jan 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-2mdk
- remove empty doc file

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-1mdk
- new version

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-10mdk
- BuildRequires: gtk+-devel

* Sat Jul 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-9mdk
- rebuild

* Sun May 27 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-8mdk
- have Provides more suitable to lib policy
- fix problems reported by rpmlint

* Thu Apr 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-7mdk
- fix provides & obsoletes

* Sat Mar 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-6mdk
- split

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.2-5mdk
- BuildRequires: Mesa-common-devel

* Wed Nov 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-4mdk
- rebuild for gcc-2.96

* Thu Jul 27 2000 Pixel <pixel@mandrakesoft.com> 1.2.2-3mdk
- remove duplicate lib in gtkglarea and gtkglarea-devel + cleanup, BM

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-2mdk
- add ldconfig in devel post

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- clean specfile
- v1.2.2

* Wed Dec 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
 - rebuild linking against Mesa 3.1cvs (uses OpenGL naming of libs instead
   of libMesa*.so stuff)
    
* Mon Nov 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.2.1
	 
* Tue Feb 09 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
 - First try at an RPM  
